
// Custom Theming for Angular Material
// For more information: https://material.angular.io/guide/theming
@import '~@angular/material/theming';
// Plus imports for other components in your app.
@import '_variables';
@import '../node_modules/font-awesome/scss/font-awesome';

// Include the common styles for Angular Material. We include this here so that you only
// have to load a single css file for Angular Material in your app.
// Be sure that you only ever include this mixin once!
@include mat-core();

// Define the palettes for your theme using the Material Design palettes available in palette.scss
// (imported above). For each palette, you can optionally specify a default, lighter, and darker
// hue. Available color palettes: https://material.io/design/color/
$client-primary: mat-palette($mat-indigo);
$client-accent: mat-palette($mat-pink, A200, A100, A400);

// The warn palette is optional (defaults to red).
$client-warn: mat-palette($mat-red);

// Create the theme object (a Sass map containing all of the palettes).
$client-theme: mat-light-theme($client-primary, $client-accent, $client-warn);

// Include theme styles for core and each component used in your app.
// Alternatively, you can import and @include the theme mixins for each component
// that you are using.
@include angular-material-theme($client-theme);

/* You can add global styles to this file, and also import other style files */

html, body { height: 100%; }
body {
  margin: 0;
  font-family: Roboto, "Helvetica Neue", sans-serif;
  color: $ch-dark-winter-cyan-light-gray;
}

.kd-container-full {
  width: 100%;
  height: 100%;
  background: $ch-dark-winter-dark-background;
  color: $ch-dark-winter-cyan-light-gray;
}

.kd-container {
  margin: 20px;
  display: flex;
}

.kd-container {
  margin: 20px;
  display: flex;
}

.kd-flex-spacer {
  flex: 1 1 auto;
}

.kd-display-flex {
  display: flex;
}

.kd-div-top-spacer {
  margin-top: 20px;
}

.kd-div-bottom-spacer {
  margin-bottom: 20px;
}

.kd-hover:hover {
  color: $ch-dark-winter-nav-text-active;
  cursor: pointer;
}

.kd-margin-bottom-remove {
  margin-bottom: 0px;
}

.kd-dialog-default {
  font-family: Helvetica, Arial, Helvetica, sans-serif;
  font-size: 14px;
  color: $ch-dark-winter-cyan-light-gray;
}

.kd-form-title {
  text-align: center;
  font-size: 22px;
  margin-bottom: 30px;
}

.kd-form-input {
  background: $input-background-light;
}

.kd-form-group {
  margin-bottom: 10px;
}

.kd-btn {
  background: rgb(22, 70, 92);
  color: $ch-dark-winter-cyan-light-gray;
  font-family: Helvetica, Arial, sans-serif;
  font-size: 14px;
}

.kd-btn:hover {
  background: $ch-dark-winter-nav-text-active;
  cursor: pointer;
}

.kd-btn-invalid {
  background: rgb(22, 70, 92);
  color: $ch-dark-winter-cyan-light-gray;
  font-family: Helvetica, Arial, sans-serif;
  font-size: 14px;
  cursor: default;
}

.kd-btn-danger {
  height: 40px;
  background: $kd-btn-danger;
  color: $ch-dark-winter-cyan-light;
  border: 0.5px solid $ch-dark-winter-dark-red-border;
  border-radius: 2px;
}

.kd-btn-danger:hover {
  background: $ch-dark-winter-nav-text-active;
  color: $ch-dark-winter-dark-blue;
  cursor: pointer;
}


.kd-error {
  color: $kd-btn-danger;
}

.kd-button-margin {
  margin-top: 30px;
}

.kd-header {
  color: $ch-dark-winter-teal;
  size: 24px;
  margin-top: 5px;
  margin-bottom: 5px;
}

.kd-inline {
  display: inline-flex;
  vertical-align: middle;
}

.kd-inline-text {
  size: 18px;
  margin-left: 5px;
}
